{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-guides/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"User Assignment Configuration API","description":"Sprinklr offers robust, convenient, and simple RESTful Web service APIs to integrate data from Sprinklr to any external system.","keywords":["Sprinklr API","Sprinklr Developer Portal","OAuth 2.0","RESTful API","Social Media API","Customer Experience API","Unified-CXM","Social Listening API"]},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"user-assignment-configuration-api","__idx":0},"children":["User Assignment Configuration API"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"1-overview","__idx":1},"children":["1. Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The User Assignment Settings Config API enables you to create, update, and fetch a user's assignment configuration, including capacity and proficiency settings."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Operation"},"children":["Operation"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Method"},"children":["Method"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Endpoint"},"children":["Endpoint"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Create User Assignment Config"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["POST"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/userAssignmentConfig"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Update User Assignment Config"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["PUT"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/userAssignmentConfig?userId={userId}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Update User Assignment Config"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["PATCH"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/userAssignmentConfig?userId={userId}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Fetch User Assignment Config"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["GET"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/userAssignmentConfig?userId={userId}"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"base-url","__idx":2},"children":["Base URL"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"text","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3/userAssignmentConfig \n","lang":"text"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Replace ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{env}"]}," with your assigned Sprinklr environment."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Examples:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"text","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/prod/api/v3/userAssignmentConfig \n\nhttps://api3.sprinklr.com/prod2/api/v3/userAssignmentConfig \n","lang":"text"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"3-authentication-and-common-headers","__idx":3},"children":["3. Authentication and common headers"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Key"},"children":["Key"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Value"},"children":["Value"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Authorization"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Bearer {token}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Credential used by the API to authenticate a user with the server."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Key"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["api-key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["API key used to authenticate the application with the server."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Content-Type"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Determines the media type of the request body."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Accept"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Determines the acceptable response type from the server."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"4-api-operations","__idx":4},"children":["4. API operations"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"41-create-user-assignment-config","__idx":5},"children":["4.1 Create User Assignment Config"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["POST ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/userAssignmentConfig"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this API to create a user assignment configuration with capacity and proficiency settings."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters","__idx":6},"children":["Request parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacities"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["List of capacity configurations assigned to the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<Object>"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the capacity configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maximum work capacity configured for the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["activeConversationCapacity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maximum number of active conversations the user can handle."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["proficiencies"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the user proficiency configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["skillVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps skill IDs to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["languageVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps language codes to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["channelVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps channels to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacityConfigId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the capacity configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request","__idx":7},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X POST \\\n  'https://api3.sprinklr.com/{env}/api/v3/userAssignmentConfig' \\\n  -H 'Authorization: Bearer {Enter your Access Token}' \\\n  -H 'Key: {Enter your API KEY}' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Accept: application/json' \\\n  -d '{\n    \"userId\": \"66007877\",\n    \"capacities\": [\n      {\n        \"id\": \"default\",\n        \"capacity\": 2,\n        \"activeConversationCapacity\": 3\n      }\n    ],\n    \"proficiencies\": {\n      \"skillVsProficiency\": {\n        \"5fbfc48accb38e37b031cb65\": 43,\n        \"5ede78c522098613e5dfd9c9\": 57,\n        \"5ee78b36861c7b3cc829b706\": 26\n      },\n      \"languageVsProficiency\": {\n        \"en\": 90\n      },\n      \"channelVsProficiency\": {}\n    },\n    \"capacityConfigId\": \"64e5bea1cf307e061ae891b4\"\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response","__idx":8},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"userId\": \"66007877\",\n    \"capacities\": [\n      {\n        \"id\": \"default\",\n        \"capacity\": 2,\n        \"activeConversationCapacity\": 3\n      }\n    ],\n    \"proficiencies\": {\n      \"skillVsProficiency\": {\n        \"5fbfc48accb38e37b031cb65\": 43,\n        \"5ede78c522098613e5dfd9c9\": 57,\n        \"5ee78b36861c7b3cc829b706\": 26\n      },\n      \"languageVsProficiency\": {\n        \"en\": 90\n      },\n      \"channelVsProficiency\": {}\n    },\n    \"capacityConfigId\": \"64e5bea1cf307e061ae891b4\"\n  },\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters","__idx":9},"children":["Response parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the created user assignment configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacities"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["List of capacity configurations assigned to the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<Object>"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacities"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the capacity configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maximum work capacity configured for the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["activeConversationCapacity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maximum number of active conversations the user can handle."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["proficiencies"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the user proficiency configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["proficiencies"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["skillVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps skill IDs to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["languageVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps language codes to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["channelVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps channels to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacityConfigId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the capacity configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["errors"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains errors encountered during request processing, if any."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"42-update-user-assignment-config-using-put","__idx":10},"children":["4.2 Update User Assignment Config using PUT"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["PUT ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/userAssignmentConfig?userId={userId}"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this API to update an existing user assignment configuration."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters","__idx":11},"children":["Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the user whose assignment configuration is updated."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-1","__idx":12},"children":["Request parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["proficiencies"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the proficiency settings to update."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["skillVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps skill IDs to their updated proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-1","__idx":13},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X PUT \\\n  'https://api3.sprinklr.com/{env}/api/v3/userAssignmentConfig?userId={userId}' \\\n  -H 'Authorization: Bearer {Enter your Access Token}' \\\n  -H 'Key: {Enter your API KEY}' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Accept: application/json' \\\n  -d '{\n    \"userId\": \"66007877\",\n    \"proficiencies\": {\n      \"skillVsProficiency\": {\n        \"5f6992783f0c3d580df821b4\": 197\n      }\n    }\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-1","__idx":14},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"HTTP/1.1 204 No Content\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This API does not return a response body on successful execution."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"43-update-user-assignment-config-using-patch","__idx":15},"children":["4.3 Update User Assignment Config using PATCH"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["PATCH ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/userAssignmentConfig?userId={userId}"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this API to update selected capacity or proficiency settings in an existing user assignment configuration."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters-1","__idx":16},"children":["Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the user whose assignment configuration is updated."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-2","__idx":17},"children":["Request parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacities"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["List of capacity configurations to update for the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<Object>"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the capacity configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Updated maximum work capacity for the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["activeConversationCapacity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Updated maximum number of active conversations the user can handle."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["proficiencies"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the proficiency settings to update."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["skillVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps skill IDs to their updated proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-2","__idx":18},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X PATCH \\\n  'https://api3.sprinklr.com/{env}/api/v3/userAssignmentConfig?userId={userId}' \\\n  -H 'Authorization: Bearer {Enter your Access Token}' \\\n  -H 'Key: {Enter your API KEY}' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Accept: application/json' \\\n  -d '{\n    \"capacities\": [\n      {\n        \"id\": \"default\",\n        \"capacity\": 4,\n        \"activeConversationCapacity\": 3\n      }\n    ],\n    \"proficiencies\": {\n      \"skillVsProficiency\": {\n        \"5ede78c522098613e5dfd9c9\": 59,\n        \"5ee78b36861c7b3cc829b706\": 27,\n        \"5fbfc48accb38e37b031cb65\": 45\n      }\n    }\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-2","__idx":19},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"HTTP/1.1 204 No Content\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This API does not return a response body on successful execution."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"44-fetch-user-assignment-config","__idx":20},"children":["4.4 Fetch User Assignment Config"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["GET ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/userAssignmentConfig?userId={userId}"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this API to fetch the assignment configuration for a specific user."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters-2","__idx":21},"children":["Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the user whose assignment configuration is fetched."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-3","__idx":22},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X GET \\\n  'https://api3.sprinklr.com/{env}/api/v3/userAssignmentConfig?userId={userId}' \\\n  -H 'Authorization: Bearer {Enter your Access Token}' \\\n  -H 'Key: {Enter your API KEY}' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Accept: application/json'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-3","__idx":23},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [\n    {\n      \"userId\": \"660078631\",\n      \"capacities\": [\n        {\n          \"id\": \"default\",\n          \"capacity\": 2,\n          \"activeConversationCapacity\": 2\n        }\n      ],\n      \"proficiencies\": {\n        \"skillVsProficiency\": {\n          \"5fbfc48accb38e37b031cb65\": 42,\n          \"5ede78c522098613e5dfd9c9\": 56,\n          \"5ee78b36861c7b3cc829b706\": 25\n        },\n        \"languageVsProficiency\": {\n          \"en\": 90\n        },\n        \"channelVsProficiency\": {}\n      },\n      \"capacityConfigId\": \"64e5bea1cf307e061ae891b4\"\n    }\n  ],\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters-1","__idx":24},"children":["Response parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the user assignment configuration details."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacities"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["List of capacity configurations assigned to the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<Object>"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacities"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the capacity configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maximum work capacity configured for the user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["activeConversationCapacity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maximum number of active conversations the user can handle."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["proficiencies"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the user proficiency configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["proficiencies"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["skillVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps skill IDs to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["languageVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps language codes to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["channelVsProficiency"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Maps channels to their proficiency scores."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["capacityConfigId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the capacity configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["errors"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains errors encountered during request processing, if any."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"5-use-cases","__idx":25},"children":["5. Use Cases"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"create-user-routing-configuration","__idx":26},"children":["Create User Routing Configuration"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Create a configuration when onboarding a new user into assignment workflows:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Create capacity settings."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Define active conversation limits."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Configure skill proficiencies."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Configure language proficiencies."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Associate a capacity configuration."]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"retrieve-assignment-eligibility","__idx":27},"children":["Retrieve Assignment Eligibility"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Fetch a user's assignment configuration before assigning work."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Workflow:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Call GET with the user ID."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Read capacities."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Review proficiency mappings."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Determine assignment eligibility."]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"increase-work-capacity","__idx":28},"children":["Increase Work Capacity"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When a user becomes available for additional workload:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Submit a PATCH request."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Update capacity values."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Preserve existing proficiency settings."]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"update-skill-scores","__idx":29},"children":["Update Skill Scores"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When user expertise changes:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Send a PUT request."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Update skill proficiency mappings."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Verify configuration using GET."]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]}]},"headings":[{"value":"User Assignment Configuration API","id":"user-assignment-configuration-api","depth":1},{"value":"1. Overview","id":"1-overview","depth":2},{"value":"Base URL","id":"base-url","depth":2},{"value":"3. Authentication and common headers","id":"3-authentication-and-common-headers","depth":2},{"value":"4. API operations","id":"4-api-operations","depth":2},{"value":"4.1 Create User Assignment Config","id":"41-create-user-assignment-config","depth":3},{"value":"Request parameters","id":"request-parameters","depth":4},{"value":"Example request","id":"example-request","depth":4},{"value":"Example response","id":"example-response","depth":4},{"value":"Response parameters","id":"response-parameters","depth":4},{"value":"4.2 Update User Assignment Config using PUT","id":"42-update-user-assignment-config-using-put","depth":3},{"value":"Query parameters","id":"query-parameters","depth":4},{"value":"Request parameters","id":"request-parameters-1","depth":4},{"value":"Example request","id":"example-request-1","depth":4},{"value":"Example response","id":"example-response-1","depth":4},{"value":"4.3 Update User Assignment Config using PATCH","id":"43-update-user-assignment-config-using-patch","depth":3},{"value":"Query parameters","id":"query-parameters-1","depth":4},{"value":"Request parameters","id":"request-parameters-2","depth":4},{"value":"Example request","id":"example-request-2","depth":4},{"value":"Example response","id":"example-response-2","depth":4},{"value":"4.4 Fetch User Assignment Config","id":"44-fetch-user-assignment-config","depth":3},{"value":"Query parameters","id":"query-parameters-2","depth":4},{"value":"Example request","id":"example-request-3","depth":4},{"value":"Example response","id":"example-response-3","depth":4},{"value":"Response parameters","id":"response-parameters-1","depth":4},{"value":"5. Use Cases","id":"5-use-cases","depth":1},{"value":"Create User Routing Configuration","id":"create-user-routing-configuration","depth":2},{"value":"Retrieve Assignment Eligibility","id":"retrieve-assignment-eligibility","depth":2},{"value":"Increase Work Capacity","id":"increase-work-capacity","depth":2},{"value":"Update Skill Scores","id":"update-skill-scores","depth":2}],"frontmatter":{"seo":{"title":"User Assignment Configuration API"}},"lastModified":"2026-11-20T08:03:11.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/guides/voice/user-assignment-config-v3","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}